import UIKit

extension UserDefaults {
  
  var isPhotoEditigOn: Bool {
    get {
      return bool(forKey: "isPhotoEditigOn")
    } set {
      set(newValue, forKey: "isPhotoEditigOn")
      synchronize()
    }
  }
  
  var startsAppWithCamera: Bool {
    get {
      return bool(forKey: "startsAppWithCamera")
    } set {
      set(newValue, forKey: "startsAppWithCamera")
      synchronize()
    }
  }
  
  var askOnSwipeDelete: Bool {
    get {
      return bool(forKey: "askOnSwipeDelete")
    } set {
      set(newValue, forKey: "askOnSwipeDelete")
      synchronize()
    }
  }
  
  var showWalktroughAtLaunch: Bool {
    get {
      return bool(forKey: "showWalktroughAtLaunch")
    } set {
      set(newValue, forKey: "showWalktroughAtLaunch")
      synchronize()
    }
  }
  
  var hideTooltips: Bool {
    get {
      return bool(forKey: "hideTooltips")
    } set {
      set(newValue, forKey: "hideTooltips")
      synchronize()
    }
  }
}
